### Method

# Dex Future await_variant

since: 0.4

#### Declaration [src]

    GVariant*
    dex_await_variant (
      DexFuture* future
      GError** error
    )

#### Description [src]

Awaits on `future` and returns the `G_TYPE_VARIANT` based result.

Available since: 0.4

#### Return value

Type: `GVariant`

The variant result, or `NULL` and `error` is set.

The caller of the method takes ownership of the data, and is responsible for freeing it.